- [HTTP request](https://docs.cloud.google.com/compute/docs/reference/rest/beta/reservationBlocks/get#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/compute/docs/reference/rest/beta/reservationBlocks/get#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/compute/docs/reference/rest/beta/reservationBlocks/get#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/compute/docs/reference/rest/beta/reservationBlocks/get#body.request_body)
- [Response body](https://docs.cloud.google.com/compute/docs/reference/rest/beta/reservationBlocks/get#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/compute/docs/reference/rest/beta/reservationBlocks/get#body.ReservationBlocksGetResponse.SCHEMA_REPRESENTATION)
    - [JSON representation](https://docs.cloud.google.com/compute/docs/reference/rest/beta/reservationBlocks/get#body.ReservationBlocksGetResponse.SCHEMA_REPRESENTATION.resource.SCHEMA_REPRESENTATION)
    - [JSON representation](https://docs.cloud.google.com/compute/docs/reference/rest/beta/reservationBlocks/get#body.ReservationBlocksGetResponse.SCHEMA_REPRESENTATION.resource.SCHEMA_REPRESENTATION_1)
      - [JSON representation](https://docs.cloud.google.com/compute/docs/reference/rest/beta/reservationBlocks/get#body.ReservationBlocksGetResponse.SCHEMA_REPRESENTATION.resource.SCHEMA_REPRESENTATION_1.instances.SCHEMA_REPRESENTATION)
    - [JSON representation](https://docs.cloud.google.com/compute/docs/reference/rest/beta/reservationBlocks/get#body.ReservationBlocksGetResponse.SCHEMA_REPRESENTATION.resource.SCHEMA_REPRESENTATION_2)
- [Authorization scopes](https://docs.cloud.google.com/compute/docs/reference/rest/beta/reservationBlocks/get#body.aspect)
- [Try it!](https://docs.cloud.google.com/compute/docs/reference/rest/beta/reservationBlocks/get#try-it)

Retrieves information about the specified reservation block.

### HTTP request

Choose an endpoint:
global africa-south1 asia-east1 asia-east2 asia-northeast1 asia-northeast2 asia-northeast3 asia-south1 asia-south2 asia-southeast1 asia-southeast2 asia-southeast3 australia-southeast1 australia-southeast2 europe-central2 europe-north1 europe-north2 europe-southwest1 europe-west1 europe-west10 europe-west12 europe-west2 europe-west3 europe-west4 europe-west6 europe-west8 europe-west9 me-central1 me-central2 me-west1 northamerica-northeast1 northamerica-northeast2 northamerica-south1 southamerica-east1 southamerica-west1 us-central1 us-east1 us-east4 us-east5 us-south1 us-west1 us-west2 us-west3 us-west4   
`GET https://compute.googleapis.com/compute/beta/projects/{project}/zones/{zone}/reservations/{reservation}/reservationBlocks/{reservationBlock}`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `project` | `string` Project ID for this request. |
| `zone` | `string` Name of the zone for this request. Zone name should conform to RFC1035. |
| `reservation` | `string` The name of the reservation. Name should conform to RFC1035 or be a resource ID. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `reservation`: - `compute.reservationBlocks.get` |
| `reservationBlock` | `string` The name of the reservation block. Name should conform to RFC1035 or be a resource ID. |

### Query parameters

| Parameters ||
|---|---|
| `view` | `enum` View of the Block. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "resource": { "kind": string, "id": string, "creationTimestamp": string, "name": string, "zone": string, "selfLink": string, "selfLinkWithId": string, "count": integer, "inUseCount": integer, "reservationMaintenance": { "upcomingGroupMaintenance": { "type": enum, "canReschedule": boolean, "windowStartTime": string, "windowEndTime": string, "latestWindowStartTime": string, "maintenanceStatus": enum, "maintenanceOnShutdown": boolean, "maintenanceReasons": [ enum ] }, "maintenanceOngoingCount": integer, "maintenancePendingCount": integer, "schedulingType": enum, "subblockInfraMaintenanceOngoingCount": integer, "subblockInfraMaintenancePendingCount": integer, "instanceMaintenanceOngoingCount": integer, "instanceMaintenancePendingCount": integer }, "status": enum, "physicalTopology": { "cluster": string, "block": string, "instances": [ { "instanceId": string, "projectId": string, "physicalHostTopology": { "subBlock": string, "host": string } } ] }, "reservationSubBlockCount": integer, "reservationSubBlockInUseCount": integer, "inUseHostCount": integer, "healthInfo": { "healthStatus": enum, "healthySubBlockCount": integer, "degradedSubBlockCount": integer } } } ``` |

| Fields ||
|---|---|
| `resource` | `object` |
| `resource.kind` | `string` Output only. Type of the resource. Always `compute#reservationBlock` for reservation blocks. |
| `resource.id` | `string (https://developers.google.com/discovery/v1/type-format format)` Output only. The unique identifier for the resource. This identifier is defined by the server. |
| `resource.creationTimestamp` | `string` Output only. Creation timestamp in [RFC3339](https://www.ietf.org/rfc/rfc3339.txt) text format. |
| `resource.name` | `string` Output only. The name of this reservation block generated by Google Compute Engine. The name must be 1-63 characters long, and comply with RFC1035 @pattern [a-z](https://docs.cloud.google.com/compute/docs/reference/rest/beta/reservationBlocks/get?:%5B-a-z0-9%5D%7B0,61%7D%5Ba-z0-9%5D)? |
| `resource.zone` | `string` Output only. Zone in which the reservation block resides. |
| `resource.selfLink` | `string` Output only. Server-defined fully-qualified URL for this resource. |
| `resource.selfLinkWithId` | `string` Output only. Server-defined URL for this resource with the resource id. |
| `resource.count` | `integer` Output only. The number of resources that are allocated in this reservation block. |
| `resource.inUseCount` | `integer` Output only. The number of instances that are currently in use on this reservation block. |
| `resource.reservationMaintenance` | `object` Output only. Maintenance information for this reservation block. |
| `resource.reservationMaintenance.upcomingGroupMaintenance` | `object` Maintenance information on this group of VMs. |
| `resource.reservationMaintenance.upcomingGroupMaintenance.type` | `enum` Defines the type of maintenance. |
| `resource.reservationMaintenance.upcomingGroupMaintenance.canReschedule` | `boolean` Indicates if the maintenance can be customer triggered. |
| `resource.reservationMaintenance.upcomingGroupMaintenance.windowStartTime` | `string` The current start time of the maintenance window. This timestamp value is in RFC3339 text format. |
| `resource.reservationMaintenance.upcomingGroupMaintenance.windowEndTime` | `string` The time by which the maintenance disruption will be completed. This timestamp value is in RFC3339 text format. |
| `resource.reservationMaintenance.upcomingGroupMaintenance.latestWindowStartTime` | `string` The latest time for the planned maintenance window to start. This timestamp value is in RFC3339 text format. |
| `resource.reservationMaintenance.upcomingGroupMaintenance.maintenanceStatus` | `enum` |
| `resource.reservationMaintenance.upcomingGroupMaintenance.maintenanceOnShutdown` | `boolean` Indicates whether the UpcomingMaintenance will be triggered on VM shutdown. |
| `resource.reservationMaintenance.upcomingGroupMaintenance.maintenanceReasons[]` | `enum` The reasons for the maintenance. Only valid for vms. |
| `resource.reservationMaintenance.maintenanceOngoingCount` | `integer` Progress for ongoing maintenance for this group of VMs/hosts. Describes number of hosts in the block that have ongoing maintenance. |
| `resource.reservationMaintenance.maintenancePendingCount` | `integer` Progress for ongoing maintenance for this group of VMs/hosts. Describes number of hosts in the block that have pending maintenance. |
| `resource.reservationMaintenance.schedulingType` | `enum` The type of maintenance for the reservation. |
| `resource.reservationMaintenance.subblockInfraMaintenanceOngoingCount` | `integer` Describes number of subblock Infrastructure that has ongoing maintenance. Here, Subblock Infrastructure Maintenance pertains to upstream hardware contained in the Subblock that is necessary for a VM Family(e.g. NVLink Domains). Not all VM Families will support this field. |
| `resource.reservationMaintenance.subblockInfraMaintenancePendingCount` | `integer` Describes number of subblock Infrastructure that has pending maintenance. Here, Subblock Infrastructure Maintenance pertains to upstream hardware contained in the Subblock that is necessary for a VM Family (e.g. NVLink Domains). Not all VM Families will support this field. |
| `resource.reservationMaintenance.instanceMaintenanceOngoingCount` | `integer` Describes number of instances that have ongoing maintenance. |
| `resource.reservationMaintenance.instanceMaintenancePendingCount` | `integer` Describes number of instances that have pending maintenance. |
| `resource.status` | `enum` Output only. Status of the reservation block. |
| `resource.physicalTopology` | `object` Output only. The physical topology of the reservation block. |
| `resource.physicalTopology.cluster` | `string` The cluster name of the reservation block. |
| `resource.physicalTopology.block` | `string` The hash of the capacity block within the cluster. |
| `resource.physicalTopology.instances[]` | `object` Output only. The detailed instances information for a given Block |
| `resource.physicalTopology.instances[].instanceId` | `string (https://developers.google.com/discovery/v1/type-format format)` The InstanceId of the instance |
| `resource.physicalTopology.instances[].projectId` | `string (https://developers.google.com/discovery/v1/type-format format)` Project where the instance lives |
| `resource.physicalTopology.instances[].physicalHostTopology` | `object` Output only. The PhysicalHostTopology of instances within a Block resource. |
| `resource.physicalTopology.instances[].physicalHostTopology.subBlock` | `string` Sub block hash for a given instance |
| `resource.physicalTopology.instances[].physicalHostTopology.host` | `string` Host hash for a given instance |
| `resource.reservationSubBlockCount` | `integer` Output only. The number of reservation subBlocks associated with this reservation block. |
| `resource.reservationSubBlockInUseCount` | `integer` Output only. The number of in-use reservation subBlocks associated with this reservation block. If at least one VM is running on a subBlock, it is considered in-use. |
| `resource.inUseHostCount` | `integer` Output only. Number of hosts currently in use. If there is one or more Instances running on the host, it is considered in use. |
| `resource.healthInfo` | `object` Output only. Health information for the reservation block. |
| `resource.healthInfo.healthStatus` | `enum` The health status of the reservation block. |
| `resource.healthInfo.healthySubBlockCount` | `integer` The number of subBlocks that are healthy. |
| `resource.healthInfo.degradedSubBlockCount` | `integer` The number of subBlocks that are degraded. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/compute.readonly`
- `
  https://www.googleapis.com/auth/compute`
- `
  https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).